POST
/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/orders/updateInvoices2609170000更新运单号
# 01
简介
更新运单号
# 02
详细内容
API支持的买家用户地区:韩国
更改登记错误的三方运送订单的运单号。 CGF lite 订单更新运单号请查看此页面。
更改后的运单配送状态为 待配送(DEPARTURE),之后可能会根据物流跟踪信息发生变化。
<注意!> 只有订单在配送状态为 待配送(DEPARTURE)、配送中(DELIVERING)、配送完成(FINAL_DELIVERY)及卖家直接配送(NONE_TRACKING) 时,才可以更改运单信息。 (其余订单状态发生错误)。
路径
POST/v2/providers/openapi/apis/api/v4/vendors/{vendorId}/orders/updateInvoices
示例端点
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v4/vendors/A00012345/orders/updateInvoices# 03
Path 参数
| Name | Type | Description |
|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 e.g.A00012345 |
# 04
请求体参数
请求参数
请求体参数
| Name | Type | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| vendorId* | string | 卖家ID 酷澎分配给卖家的固有代码 e.g. A00012345 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| orderSheetInvoiceApplyDtos* | object[] | 要变更为待配送状态的信息列表
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| shipmentBoxId* orderSheetInvoiceApplyDtos[].shipmentBoxId | integer | 合并配送号码
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| orderId* orderSheetInvoiceApplyDtos[].orderId | integer | 订单号
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| deliveryCompanyCode* orderSheetInvoiceApplyDtos[].deliveryCompanyCode | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| invoiceNumber* orderSheetInvoiceApplyDtos[].invoiceNumber | integer | 要变更的运单号
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| vendorItemId* orderSheetInvoiceApplyDtos[].vendorItemId | integer | 属性ID 输入要更新运单的商品的属性ID. | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| splitShipping* orderSheetInvoiceApplyDtos[].splitShipping | string | 是否为分开配送
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| preSplitShipped* orderSheetInvoiceApplyDtos[].preSplitShipped | string | 是否为分开配送中 ● false 不进行分开配送时(= 当 splitshipping 为 false 时) 该订单号首次进行分开配送时 ● true 该订单号中已有分开配送的商品 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| estimatedShippingDate* orderSheetInvoiceApplyDtos[].estimatedShippingDate | string | (分开配送) 预计发货日 仅在以 YYYY-MM-DD 格式分开配送时可选择性输入。 如果不输入,则保留“”空白。 分开配送时,运单号或预计发货日两者择一输入 | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| code | string | 服务器返回代码
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| message | string | 服务器返回消息
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| data | string | 数据
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseCode data.responseCode | string | 请求结果状态码
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseMessage data.responseMessage | string | 请求结果状态消息
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseList data.responseList | string | 单个上传结果集
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| shipmentBoxId data.responseList.shipmentBoxId | string | 合并配送号码
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| succeed data.responseList.succeed | string | 是否成功 Y/N
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| resultCode data.responseList.resultCode | number | Result code
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| resultMessage data.responseList.resultMessage | string | 请求结果消息
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| retryRequired data.responseList.retryRequired | string | 重试 Y/N
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| 400 (check request variable) | string | 查看是否输入了正确的运单号。
|
请求示例application/json
{
"vendorId": "A00012345",
"orderSheetInvoiceApplyDtos": [
{
"shipmentBoxId": 123456789012345680,
"orderId": 2000019631453,
"vendorItemId": 3819657333,
"deliveryCompanyCode": "KDEXP",
"invoiceNumber": 201808231414,
"splitShipping": "False",
"preSplitShipped": "False",
"estimatedShippingDate": ""
}
]
}# 05
响应体
响应消息
| Name | Type | Description | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | integer | 服务器返回代码
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| message | string | 服务器返回消息
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| data | object | 数据
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseCode data.responseCode | integer | 请求结果状态码
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseMessage data.responseMessage | string | 请求结果状态消息
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| responseList data.responseList | object[] | 单个上传结果集
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| shipmentBoxId data.responseList[].shipmentBoxId | integer | 合并配送号码
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| succeed data.responseList[].succeed | boolean | 是否成功 Y/N
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| resultCode data.responseList[].resultCode | string | Result code
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| retryRequired data.responseList[].retryRequired | boolean | 重试 Y/N
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| resultMessage data.responseList[].resultMessage | string | 请求结果消息
|
Response Example
{
"code": 200,
"message": "OK",
"data": {
"responseCode": 0,
"responseMessage": "SUCCESS",
"responseList": [
{
"shipmentBoxId": 123456789012345680,
"succeed": true,
"resultCode": "OK",
"retryRequired": false,
"resultMessage": null
}
]
}
}# 06
错误码
| HTTP | 代码 | 消息 |
|---|---|---|
| 400 | HTTP_400 | Bad Request |
错误说明
| HTTP | 类型 | 错误消息 | 解决方案 |
|---|---|---|---|
| 400 | 400 (check request variable) | 运单号格式不符合CJ 物流. [6255*****632] | 查看是否输入了正确的运单号。 |
| 400 | 400 (check request variable) | CJ物流的运单号只由数字组成。 InvoiceNumber 必须是数字。 [6257-62-10*] | 查看是否输入了正确的运单号,运单号中是否包含除数字以外的其它字符。 |
| 400 | 400 (check request variable) | 卖家直接配送的运单号必须由数字组成。[***] | 卖家直接配送(DIRECT)的运单号由数字组成。 e.g.202002031830 |
| 400 | 400 (check request variable) | 无效物流公司代码: | 查看是否输入了正确的物流公司代码(deliveryCompanyCode). |
| 400 | 400 (check request variable) | 运单号格式不符合OO物流. [956****734] | 查看是否输入了正确的运单号。 |